MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023299Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 15:582012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023299: ShapeCustom_BSplineRestriction.cxx: line 732 - identical sub-expression in 'if-clause'
DescriptionIn ShapeCustom_BSplineRestriction::ConvertSurface

 if(aCV != 0 || aCV != 0) {

should be probably corrected to

 if(aCV != 0 || aCU != 0) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021012)
Pawel (developer)
2012-07-17 16:46

Corresponding git branch pushed. Please review.
(0021031)
abv (manager)
2012-07-18 08:34

No remarks, please test
(0021071)
apn (administrator)
2012-07-19 15:33

Dear BugMaster,
The workbenches
KAS:dev:mkv-23299-occt (GIT branch CR23299)
KAS:dev:mkv-23299-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23299-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master b476213a
Timestamp: 2012-07-17 12:21:01
Author: Pawel
Details ] Diff ]
0023299: ShapeCustom_BSplineRestriction.cxx: line 732 - identical sub-expression in 'if-clause'

Verifying both affected variables in the if-clause.
mod - src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 15:58 Pawel New Issue
2012-07-17 15:58 Pawel Assigned To => Pawel
2012-07-17 16:46 Pawel Note Added: 0021012
2012-07-17 16:46 Pawel Assigned To Pawel => bugmaster
2012-07-17 16:46 Pawel Status new => resolved
2012-07-18 08:34 abv Note Added: 0021031
2012-07-18 08:34 abv Status resolved => reviewed
2012-07-18 13:25 mkv Assigned To bugmaster => mkv
2012-07-19 13:57 mkv Assigned To mkv => apn
2012-07-19 15:33 apn Note Added: 0021071
2012-07-19 15:33 apn Test case number => Not needed
2012-07-19 15:33 apn Assigned To apn => bugmaster
2012-07-19 15:33 apn Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master b476213a
2012-07-23 12:23 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:23 Pawel Status tested => verified
2012-07-23 12:23 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker